package com.wms.constants.enums;

/**
 * Wms任务状态的枚举
 */
public enum WmsTaskStatus {
    DUPLICATE(-2, "重复入库"),
    TEMP(-1, "暂存任务"),
    NEW(0, "任务新建，待下发"),
    WAIT(1, "任务已下发"),
    RUN(2, "任务开始执行"),
    PICKING(8, "拣选中"),
    INVENTORY(9, "盘点中"),
    FINISH(100, "任务完成"),
    CANCEL(998, "任务取消"),
    EXCEPTION(999, "任务异常");

    private final Integer code;
    private final String name;

    WmsTaskStatus(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
